from django.urls import path

from . import views

app_name = 'user'
urlpatterns = [
    path('', views.User.as_view()),
    path('<int:pk>/', views.UserDetail.as_view()),
    path('roleList/', views.RoleList.as_view()),
    path('login/', views.Login.as_view()),
    path('logout/', views.Logout.as_view()),
    path('getInfo/', views.GetInfo.as_view()),
    path('resetPassword/', views.ResetPassword.as_view()),
    path('checkUsername/', views.CheckUsername.as_view())
]
